package com.ruoyi.cms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.core.domain.entity.File;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件Mapper接口
 * @author ${author}
 * @date 2025-03-18
 */
public interface FileMapper extends BaseMapper<File>
{
    /**
     * 查询文件列表
     * 
     * @param file 文件
     * @return 文件集合
     */
    public List<File> selectFileList(File file);

    public int updateBussinessids(@Param("longs") List<Long> longs,@Param("newBussinessid") Long bussinessid);

    public List<File> selectFileListByBussinessIds(@Param("longs") List<Long> longs);

    public int updateIds(@Param("longs") List<Long> longs,@Param("newBussinessid") Long bussinessid);
}
